mscorlib 2.0.0.0 4.0.0.0 System.Text.EncoderFallback

An encoding maps a Unicode character to an encoded sequence of bytes, which can subsequently be transferred to a physical medium, such as a disk, or over a communications link. Characters can be mapped in various ways, and a particular encoding is represented by a type derived from the class. Specifically, the encoding type's GetBytes method encodes a character to a byte sequence, and the GetChars method decodes a byte sequence to a character.

An encoding operation can fail if the input character cannot be represented by the encoding. For example, a object cannot encode a character that yields a Unicode code point value that is outside the range U+0000 to U+007F.

In cases where an encoding or decoding conversion cannot be performed, the .NET Framework provides a failure-handling mechanism called a fallback. Your application can use the predefined .NET Framework encoder fallback, or it can create a custom encoder fallback derived from the and classes.

The .NET Framework provides two predefined classes that implement different fallback strategies for handling encoding conversion failures. The class substitutes a string provided for any input character that cannot be converted. The substitute string is encoded in place of the invalid character, and then the encoding operation continues converting the remainder of the input. In contrast, the class throws a when an invalid character is encountered.

Throws a if an input character cannot be converted to an encoded output byte sequence. This class cannot be inherited.

- Constructor
  2.0.0.0
  4.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  4.0.0.0
  System.Text.EncoderFallbackBuffer To be added.

  Initializes a new instance of the class.

  A object.

- Method
  2.0.0.0
  4.0.0.0
  System.Boolean `` To be added.

  Indicates whether the current object and a specified object are equal.

  true if is not null (Nothing in Visual Basic .NET) and is a object; otherwise, false.

  An object that derives from the class.
- Method
  2.0.0.0
  4.0.0.0
  System.Int32

  Because the method always returns the same value, the application should not use this value to distinguish one instance of the class from another.

  Retrieves the hash code for this instance.

  The return value is always the same arbitrary value, and has no special significance.

- Property
  2.0.0.0
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets the maximum number of characters this instance can return.